/**
 * CheckAcount extedinf Account and implementing some interface
 */
public class CheckedAccount extends Account
{
    private int minBalance;
    //private int balance; NEVER OVERRIDE PRIVATE ATTRIBUTES!!!!
    
    public CheckedAccount(int initBalance, int minBalance) {
        super(initBalance); // The call of the super-class constructor. Either super() by default, or explicitly
        this.minBalance = minBalance;
    }
    
    public double withdraw(double amount) {
        if (getBalance() - amount >=  minBalance) {
            //setBalance(ge tBalance() - amount); // is the setther is available, either as public or protected method
            super.withdraw(amount); // without setter by calling the code us super-class
        }
        return getBalance(); // getter is public in the super-class, then available to us
    }
}
